import { geoMercator, geoEqualEarth, geoNaturalEarth1, geoCylindricalStereographic, geoPath, geoGraticule } from 'd3'; 

const projection = geoMercator()
      .scale(1300)
      .center([-102, 24])
const path = geoPath(projection);
const graticule = geoGraticule();
const missingDataColor = 'gray';

    
export const Marks = ({ data }) => ( 
  <g className="marks">
        <path className="graticules" d={path(graticule())} />
      {data.features.map(feature => (
      	<path className="land" d={path(feature)} />
      ))}
    	

  </g>
);

// <path className="sphere" d={path({type: 'Sphere'})} />
// <path className="interiors" d={path(interiors)} />
// <path className="graticules" d={path(graticule())} />